> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-c1-ai-rename-baton.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Bindings

> DeleteBindings removes up to 100 individual-tool assignments from an Assigned-tools Virtual MCP Server.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/virtual_mcp_servers/{virtual_mcp_server_id}/tool_bindings/delete
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/virtual_mcp_servers/{virtual_mcp_server_id}/tool_bindings/delete:
    post:
      tags:
        - Virtual MCP Servers
      summary: Delete Bindings
      description: >-
        DeleteBindings removes up to 100 individual-tool assignments from an
        Assigned-tools Virtual MCP Server.
      operationId: c1.api.ai_governance.v1.VirtualMCPToolBindingService.DeleteBindings
      parameters:
        - in: path
          name: virtual_mcp_server_id
          required: true
          schema:
            description: Immutable identifier of the Virtual MCP Server.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.ai_governance.v1.VirtualMCPToolBindingServiceDeleteBindingsRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.ai_governance.v1.VirtualMCPToolBindingServiceDeleteBindingsResponse
          description: >-
            VirtualMCPToolBindingServiceDeleteBindingsResponse confirms the
            assignments were deleted.
components:
  schemas:
    c1.api.ai_governance.v1.VirtualMCPToolBindingServiceDeleteBindingsRequestInput:
      description: >-
        VirtualMCPToolBindingServiceDeleteBindingsRequest removes individual
        tools from one Virtual MCP Server.
      properties:
        mcpTools:
          description: >-
            Complete MCP tool references to unassign. Duplicate tuples are
            ignored.
          items:
            $ref: '#/components/schemas/c1.api.ai_governance.v1.MCPToolRef'
          type:
            - array
            - 'null'
      title: Virtual Mcp Tool Binding Service Delete Bindings Request
      type: object
      x-speakeasy-name-override: VirtualMCPToolBindingServiceDeleteBindingsRequest
    c1.api.ai_governance.v1.VirtualMCPToolBindingServiceDeleteBindingsResponse:
      description: >-
        VirtualMCPToolBindingServiceDeleteBindingsResponse confirms the
        assignments were deleted.
      title: Virtual Mcp Tool Binding Service Delete Bindings Response
      type: object
      x-speakeasy-name-override: VirtualMCPToolBindingServiceDeleteBindingsResponse
    c1.api.ai_governance.v1.MCPToolRef:
      description: MCPToolRef is a reference to a specific MCP tool.
      properties:
        appId:
          description: The application the tool belongs to.
          type: string
        connectorId:
          description: The connector the tool was discovered through.
          type: string
        id:
          description: Unique identifier for the MCP tool.
          type: string
      title: Mcp Tool Ref
      type: object
      x-speakeasy-name-override: MCPToolRef
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````